# 通用XL pro-文生图

**方法**: `POST`
**路径**: `/volcv/v1`

<https://www.volcengine.com/docs/6791/1279296>
**详情请看官方对接文档**

## 请求参数

### Query 参数

```text
Action
string
必需
示例:
CVProcess
Version
string
必需
示例:
2022-08-31
```

### Header 参数

```text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}
```

### Body 参数 application/json

```text
object
示例
{
"req_key"
:
"t2i_xl_sft"
,
"prompt"
:
"一个小女孩"
,
"seed"
:
-1
,
"width"
:
1080
,
"height"
:
1080
,
"scale"
:
7
,
"ddim_steps"
:
20
,
"return_url"
:
true
,
"logo_info"
:
{
"add_logo"
:
true
,
"position"
:
2
,
"language"
:
0
,
"opacity"
:
0.3
,
"logo_text_content"
:
"这里是明水印内容"
}
}
```

## 请求示例代码

### Shell

```bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "req_key": "t2i_xl_sft",
    "prompt": "一个小女孩",
    "seed": -1,
    "width": 1080,
    "height": 1080,
    "scale": 7,
    "ddim_steps": 20,
    "return_url": true,
    "logo_info": {
        "add_logo": true,
        "position": 2,
        "language": 0,
        "opacity": 0.3,
        "logo_text_content": "这里是明水印内容"
    }
}'
```

## 返回响应

### 🟢 200 成功

**内容类型**: `application/json`

#### 响应结构

```text
object
```

#### 示例

```json
{
    "code": 10000,
    "data": {
        "algorithm_base_resp": {
            "status_code": 0,
            "status_message": "Success"
        },
        "binary_data_base64": [],
        "comfyui_cost": 4,
        "custom_prompt": "一个小女孩",
        "ddim_steps": 20,
        "height": 1080,
        "image_urls": [
            "https://xxx"
        ],
        "logo_info": {
            "add_logo": true,
            "language": 0,
            "opacity": 1,
            "position": 2
        },
        "prompt": "A little girl.",
        "request_id": "dea044aa84a71449ec93580e29e41d33ebc028cbbf5717fa70318ef2a047cfc6",
        "return_url": true,
        "scale": 7,
        "seed": -1,
        "width": 1080
    },
    "message": "Success",
    "request_id": "2024080914280691301FD211D72A02FA4F",
    "status": 10000,
    "time_elapsed": "5.507397584s"
}
```
